#  Licensed under the Apache License, Version 2.0 (the "License"); you may
#  not use this file except in compliance with the License. You may obtain
#  a copy of the License at
#
#       http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
#  WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
#  License for the specific language governing permissions and limitations
#  under the License.

from oslo_policy import policy


rules = [
    policy.RuleDefault('orders:post',
                       'rule:admin_or_creator'),
    policy.RuleDefault('orders:get',
                       'rule:all_but_audit'),
    policy.RuleDefault('orders:put',
                       'rule:admin_or_creator'),
    policy.RuleDefault('order:get',
                       'rule:all_users'),
    policy.RuleDefault('order:delete',
                       'rule:admin'),
]


def list_rules():
    return rules
